# ncurses 6.0 - patch 20161105 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20161105.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Nov  6 00:04:10 UTC 2016
# ------------------------------------------------------------------------------
# Ada95/gen/adacurses-config.in    |    9 +++++----
# NEWS                             |    6 +++++-
# VERSION                          |    2 +-
# dist.mk                          |    4 ++--
# man/MKada_config.in              |   13 +++++++------
# man/terminfo.tail                |    4 ++--
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian/changelog         |    4 ++--
# package/mingw-ncurses.nsi        |    4 ++--
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.spec             |    2 +-
# 12 files changed, 32 insertions(+), 26 deletions(-)
# ------------------------------------------------------------------------------
Index: Ada95/gen/adacurses-config.in
Prereq:  1.9 
--- ncurses-6.0-20161029+/Ada95/gen/adacurses-config.in	2014-06-07 19:32:22.000000000 +0000
+++ ncurses-6.0-20161105/Ada95/gen/adacurses-config.in	2016-11-05 20:48:35.000000000 +0000
@@ -1,7 +1,7 @@
 #! /bin/sh
-# $Id: adacurses-config.in,v 1.9 2014/06/07 19:32:22 Pascal.Pignard Exp $
+# $Id: adacurses-config.in,v 1.11 2016/11/05 20:48:35 tom Exp $
 ##############################################################################
-# Copyright (c) 2007-2010,2014 Free Software Foundation, Inc.                #
+# Copyright (c) 2007-2012,2016 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -44,6 +44,7 @@
 LIBS="-L$ADA_OBJECTS -lAdaCurses"
 
 THIS="adacurses"
+THIS_CFG="$THIS@DFT_ARG_SUFFIX@-config"
 
 case "x$1" in
 	x--version)
@@ -61,7 +62,7 @@
 		;;
 	x--help)
 		cat <<ENDHELP
-Usage: ${THIS}-config [options]
+Usage: ${THIS_CFG} [options]
 
 Options:
   --cflags           echos the gnat (Ada compiler) flags needed to compile with ${THIS}
@@ -75,7 +76,7 @@
 ENDHELP
 		;;
 	*)
-		echo 'Usage: adacurses@DFT_ARG_SUFFIX@-config [--version | --cflags | --libs]' >&2
+		echo 'Usage: $THIS_CFG [--version | --cflags | --libs]' >&2
 		exit 1
 		;;
 esac
Index: NEWS
Prereq:  1.2689 
--- ncurses-6.0-20161029+/NEWS	2016-10-29 22:28:11.000000000 +0000
+++ ncurses-6.0-20161105/NEWS	2016-11-05 21:17:13.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2689 2016/10/29 22:28:11 tom Exp $
+-- $Id: NEWS,v 1.2692 2016/11/05 21:17:13 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,10 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20161105
+	+ fix typo in man/terminfo.tail (Alain Williams).
+	+ correct program-name in adacurses6-config.1 manual page.
+
 20161029
 	+ add new function "unfocus_current_field" (Leon Winter)
 
Index: VERSION
--- ncurses-6.0-20161029+/VERSION	2016-10-29 19:16:10.000000000 +0000
+++ ncurses-6.0-20161105/VERSION	2016-11-05 16:39:30.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20161029
+5:0:9	6.0	20161105
Index: dist.mk
Prereq:  1.1130 
--- ncurses-6.0-20161029+/dist.mk	2016-10-29 19:16:10.000000000 +0000
+++ ncurses-6.0-20161105/dist.mk	2016-11-05 16:39:30.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1130 2016/10/29 19:16:10 tom Exp $
+# $Id: dist.mk,v 1.1131 2016/11/05 16:39:30 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20161029
+NCURSES_PATCH = 20161105
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: man/MKada_config.in
Prereq:  1.8 
--- ncurses-6.0-20161029+/man/MKada_config.in	2014-06-07 19:32:52.000000000 +0000
+++ ncurses-6.0-20161105/man/MKada_config.in	2016-11-05 21:08:21.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2010-2011,2014 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2010-2014,2016 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,12 +26,13 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: MKada_config.in,v 1.8 2014/06/07 19:32:52 tom Exp $
+.\" $Id: MKada_config.in,v 1.10 2016/11/05 21:08:21 tom Exp $
+.ds C adacurses@USE_CFG_SUFFIX@\-config
 .TH ADACURSES "1" "" "" "User Commands"
 .SH NAME
-adacurses\-config \- helper script for AdaCurses libraries
+adacurses@USE_CFG_SUFFIX@\-config \- helper script for AdaCurses libraries
 .SH SYNOPSIS
-.B adacurses\-config
+.B \*C
 [\fIoptions\fR]
 .SH DESCRIPTION
 This is a shell script which simplifies configuring an application to use
@@ -49,9 +50,9 @@
 to configure and build AdaCurses.
 .TP
 \fB\-\-help\fR
-prints a list of the \fBadacurses\-config\fP script's options.
+prints a list of the \fB\*C\fP script's options.
 .PP
-If no options are given, \fBadacurses\-config\fP prints the combination
+If no options are given, \fB\*C\fP prints the combination
 of 
 \fB\-\-cflags\fR and
 \fB\-\-libs\fR
Index: man/terminfo.tail
Prereq:  1.73 
--- ncurses-6.0-20161029+/man/terminfo.tail	2016-10-22 19:56:17.000000000 +0000
+++ ncurses-6.0-20161105/man/terminfo.tail	2016-11-05 21:15:43.000000000 +0000
@@ -1,4 +1,4 @@
-.\" $Id: terminfo.tail,v 1.73 2016/10/22 19:56:17 tom Exp $
+.\" $Id: terminfo.tail,v 1.74 2016/11/05 21:15:43 Alain.Williams Exp $
 .\" Beginning of terminfo.tail file
 .\" This file is part of ncurses.
 .\" See "terminfo.head" for copyright.
@@ -648,7 +648,7 @@
 \fBindn\fR, and \fBrin\fR will simulate destructive scrolling; their
 documentation cautions you not to define \fBcsr\fR unless this is true.
 This \fBcurses\fR implementation is more liberal and will do explicit erases
-after scrolling if \fBndstr\fR is defined.
+after scrolling if \fBndsrc\fR is defined.
 .PP
 If the terminal has the ability to define a window as part of
 memory, which all commands affect,
Index: package/debian-mingw/changelog
--- ncurses-6.0-20161029+/package/debian-mingw/changelog	2016-10-29 19:16:10.000000000 +0000
+++ ncurses-6.0-20161105/package/debian-mingw/changelog	2016-11-05 16:39:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20161029) unstable; urgency=low
+ncurses6 (6.0+20161105) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 29 Oct 2016 15:16:10 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 05 Nov 2016 12:39:30 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20161029+/package/debian-mingw64/changelog	2016-10-29 19:16:10.000000000 +0000
+++ ncurses-6.0-20161105/package/debian-mingw64/changelog	2016-11-05 16:39:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20161029) unstable; urgency=low
+ncurses6 (6.0+20161105) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 29 Oct 2016 15:16:10 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 05 Nov 2016 12:39:30 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20161029+/package/debian/changelog	2016-10-29 19:16:10.000000000 +0000
+++ ncurses-6.0-20161105/package/debian/changelog	2016-11-05 16:39:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20161029) unstable; urgency=low
+ncurses6 (6.0+20161105) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 29 Oct 2016 15:16:10 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 05 Nov 2016 12:39:30 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.182 
--- ncurses-6.0-20161029+/package/mingw-ncurses.nsi	2016-10-29 19:16:10.000000000 +0000
+++ ncurses-6.0-20161105/package/mingw-ncurses.nsi	2016-11-05 16:39:30.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.182 2016/10/29 19:16:10 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.183 2016/11/05 16:39:30 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2016"
-!define VERSION_MMDD  "1029"
+!define VERSION_MMDD  "1105"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20161029+/package/mingw-ncurses.spec	2016-10-29 19:16:10.000000000 +0000
+++ ncurses-6.0-20161105/package/mingw-ncurses.spec	2016-11-05 16:39:30.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20161029
+Release: 20161105
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20161029+/package/ncurses.spec	2016-10-29 19:16:10.000000000 +0000
+++ ncurses-6.0-20161105/package/ncurses.spec	2016-11-05 16:39:30.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20161029
+Release: 20161105
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
